Bug 986706 - [abrt] calibre-0.9.28-1.fc18: news.py:867:__init__:ValueError: La ricetta "London Review of Books" richiede un nome utente e password. [NEEDINFO]
[abrt] calibre-0.9.28-1.fc18: news.py:867:__init__:ValueError: La ricetta "Lo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:f78a00dfe40e565aefc9fbc052b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 15:27 EDT by gmf
Modified: 2014-02-05 18:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:13:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: needinfo?


Attachments (Terms of Use)
File: backtrace (1.34 KB, text/plain)
2013-07-21 15:27 EDT, gmf
no flags Details
File: core_backtrace (746 bytes, text/plain)
2013-07-21 15:27 EDT, gmf
no flags Details
File: environ (2.13 KB, text/plain)
2013-07-21 15:27 EDT, gmf
no flags Details

  None (edit)
Description gmf 2013-07-21 15:27:02 EDT
Version-Release number of selected component:
calibre-0.9.28-1.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.9.9-201.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
news.py:867:__init__:ValueError: La ricetta "London Review of Books" richiede un nome utente e password.

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 188, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1009, in run
    accelerators, tdir)
  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 239, in __call__
    log, accelerators)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/recipe_input.py", line 112, in convert
    ro = recipe(opts, log, self.report_progress)
  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 867, in __init__
    raise ValueError(_('The "%s" recipe needs a username and password.')%self.title)
ValueError: La ricetta "London Review of Books" richiede un nome utente e password.

Local variables in innermost frame:
self: <LondonReviewOfBooksPayed object at 0x3b5c290>
progress_reporter: <calibre.ebooks.conversion.plumber.CompositeProgressReporter object at 0x3984a50>
log: <calibre.utils.logging.Log object at 0x34f3450>
options: <calibre.ebooks.conversion.plumber.OptionValues object at 0x34f8090>
Comment 1 gmf 2013-07-21 15:27:06 EDT
Created attachment 776539 [details]
File: backtrace
Comment 2 gmf 2013-07-21 15:27:10 EDT
Created attachment 776540 [details]
File: core_backtrace
Comment 3 gmf 2013-07-21 15:27:14 EDT
Created attachment 776541 [details]
File: environ
Comment 4 Kevin Fenzi 2013-07-21 20:03:28 EDT
You need a login and password for this recipe... not sure there's anything we can do aside from that. 

Or did you have that entered?
Comment 5 Fedora End Of Life 2013-12-21 10:35:38 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 18:13:14 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.